from typing import Optional
from pymemri.data.itembase import Item


# TODO Remove when MVP2 schema done
class CategoricalLabel(Item):
    properties = Item.properties + ["value"]

    def __init__(
        self, value: str = None, **kwargs
    ):
        super().__init__(**kwargs)
        self.value: Optional[str] = value


class Message(Item):
    # From WhatsappPlugin
    properties = Item.properties + ["content"]
    edges = Item.edges

    def __init__(self, content: str=None, service: str=None, **kwargs):
        super().__init__(**kwargs)
        self.content = content
        self.service = service
